#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 serialise
version:              0.2.6.0
visibility:           public
id:                   serialise-0.2.6.0-cE0xfySQsr7qOqLxL09C5
key:                  serialise-0.2.6.0-cE0xfySQsr7qOqLxL09C5
license:              BSD-3-Clause
copyright:
    2015-2017 Duncan Coutts,
    2015-2017 Well-Typed LLP,
    2015 IRIS Connect Ltd

maintainer:           duncan@community.haskell.org, ben@smart-cactus.org
author:               Duncan Coutts
homepage:             https://github.com/well-typed/cborg
synopsis:             A binary serialisation library for Haskell values.
description:
    This package (formerly @binary-serialise-cbor@) provides pure, efficient
    serialization of Haskell values directly into @ByteString@s for storage or
    transmission purposes. By providing a set of type class instances, you can
    also serialise any custom data type you have as well.

    The underlying binary format used is the '\''Concise Binary Object
    Representation'\'', or CBOR, specified in RFC 7049. As a result,
    serialised Haskell values have implicit structure outside of the
    Haskell program itself, meaning they can be inspected or analyzed
    without custom tools.

    An implementation of the standard bijection between CBOR and JSON is provided
    by the [cborg-json](/package/cborg-json) package. Also see
    [cbor-tool](/package/cbor-tool) for a convenient command-line utility for
    working with CBOR data.

category:             Codec
abi:                  4c24e74658d00221c88ada1a0d124c48
exposed:              True
exposed-modules:
    Codec.Serialise Codec.Serialise.Class Codec.Serialise.Decoding
    Codec.Serialise.Encoding Codec.Serialise.IO
    Codec.Serialise.Internal.GeneralisedUTF8 Codec.Serialise.Properties
    Codec.Serialise.Tutorial

import-dirs:          /usr/lib/ghc-9.0.2/site-local/serialise-0.2.6.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/serialise-0.2.6.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-serialise
hs-libraries:         HSserialise-0.2.6.0-cE0xfySQsr7qOqLxL09C5
depends:
    array-0.5.4.0 base-4.15.1.0 bytestring-0.10.12.1
    cborg-0.2.8.0-FCVaPo9arV2BZ7CblBUtxp containers-0.6.4.1
    ghc-prim-0.7.0 half-0.3.1-3pDG9tSiCpR8rXlF5PBwHZ
    hashable-1.4.2.0-5ySl8XM8t8QGZN86Jfv3oR
    primitive-0.7.4.0-4igQPjVFZ0u45ZZpSLQSLc
    strict-0.4.0.1-Aoe6x0f3ggZ3KVpcw4DCkS text-1.2.5.0
    these-1.1.1.1-6638UImTk4W44xW17syhhZ time-1.9.3
    unordered-containers-0.2.19.1-DnnZsztXxSKIeB0HgJzbzw
    vector-0.13.0.0-CBdHfq8cDb33l37FQ8xap7

haddock-interfaces:   /usr/share/doc/haskell-serialise/html/serialise.haddock
haddock-html:         /usr/share/doc/haskell-serialise/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

